Skip to main content
POST
/
document
/
paste
Copy documents to a location
curl --request POST \
  --url https://app.myhero.so/document/paste \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parentId": "<string>",
  "copiedNodes": [
    {
      "id": "<string>",
      "children": [
        {
          "id": "<string>"
        }
      ]
    }
  ],
  "workspaceId": "<string>",
  "projectId": "<string>"
}
'
{
  "data": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Creates deep copies of the specified documents (and their children) under a new parentId. Both the source documents and the destination workspace must be accessible to the caller.

Authorizations

Authorization
string
header
required

HERO personal access token

Body

application/json
parentId
string
required
copiedNodes
object[]
required
Minimum array length: 1
workspaceId
string
required
projectId
string

Response

200 response

data
enum<boolean>
required
Available options:
true